import {NextPage} from 'next';
import {DefaultLayout} from '@/components/DefaultLayout';
import {Section, Subsection} from '@/components/Section';
import * as Formatted from '@tesseract-design/web-formatted-react';

const TemporalPage: NextPage = () => {
  return (
    <DefaultLayout title="Formatted">
      <Section title="PhoneNumberInput">
        <Subsection title="Default">
          <Formatted.PhoneNumberInput
            label="Phone"
            name="phone"
            enhanced
            border
            onFocus={(e) => { console.log('focus', e.currentTarget)}}
            onBlur={(e) => { console.log('blur', e.currentTarget)}}
            onChange={(e) => { console.log('change', e.currentTarget.name, e.currentTarget, e.currentTarget.value)}}
          />
        </Subsection>
      </Section>
      <Section title="EmailInput">
        <Subsection title="Default">
          <Formatted.EmailInput
            label="Email"
            name="email"
            border
          />
        </Subsection>
        <Subsection title="With domains">
          <Formatted.EmailInput
            label="Email"
            name="email"
            border
            variant="alternate"
            domains={['gmail.com', 'yahoo.com']}
            hint="Only GMail or Yahoo Mail allowed"
            length={50}
          />
        </Subsection>
      </Section>
    </DefaultLayout>
  )
}

export default TemporalPage;
